Getting compiler error about using System.Net.Sockets

Is Photon compatible with Unity android/iOS free version? I'm pretty sure its Photon causing this, I've been through all my scripts and deleted "using System".

Comments

  • Unity Free does not allow C# Socket usage and this makes our Photon libraries incompatible with these exports.
    You can buy Unity Android/iOS PRO licenses or you can buy PUN+ to be able to export with Unity Free.

    PUN+
    http://u3d.as/5Ap
  • Purchased PUN Plus but I'm still getting the Socket compilation errors? (Unity 4.3.4, Pun Plus 1.25.2)
  • I am guessing you upgraded a PUN Free project with PUN+?
    In that case, you have to make sure you are able to replace all files from PUN Free with the ones from PUN+.

    In best case, you import PUN+ in a new, empty project. Skip the demos, if you like. Then open the File Explorer or Finder and copy all PUN+ files over to the existing project. Keep PhotonServerConfig.asset but replace everything else.

    The Unity import is not very clever in that regard. It checks if a file is newer but in some cases, it doesn't find all the relevant pieces, afaik.
Sign In or Register to comment.